<?php


namespace AutoAdmin\Bundle\Content\Event\Traits;


use AutoAdmin\Bundle\Content\Context\ContentContext;
use Symfony\Component\HttpFoundation\Request;

trait ContentContextEventTrait
{
    protected ContentContext $contentContext;
    protected Request $request;

    public function __construct(ContentContext $contentContext, Request $request)
    {
        $this->contentContext = $contentContext;
        $this->request = $request;
    }

    public function getContentContext(): ContentContext
    {
        return $this->contentContext;
    }

    public function setContentContext(ContentContext $contentContext): void
    {
        $this->contentContext = $contentContext;
    }

    public function getRequest(): Request
    {
        return $this->request;
    }

    public function setRequest(Request $request): void
    {
        $this->request = $request;
    }
}
